Erstellt vor 3 Jahren

Geschlossen vor 3 Jahren

Zuletzt geändert vor 3 Jahren

#1373 closed defect (fixed)

Mount/External Hook für NAND Speicher (7390)

Erstellt von: oliver Verantwortlicher: oliver
Priorität: normal Meilenstein: freetz-1.2
Komponente: packages Version: devel
Beobachter: Product Id: 7390
Firmware Version:

Beschreibung

Der interne Speicher (NAND flash) löst beim mount kein external event aus. Deshalb wird external nie gestartet, wenn das Verzeichnis auf dem NAND liegt.

mögliche Lösung: In rc.mod prüfen, ob das external Verzeichnis auf dem NAND liegt?

Hack bis zur Lösung:

EXTERNAL_PATH=/var/media/ftp/Freetz/external
(
  trap : HUP
  while [ ! -f "$EXTERNAL_PATH"/.external ]; do sleep 3; done
  exec /etc/init.d/rc.external start
) &

Anhänge (5)

rc.mod.external-on-NAND.patch (1021 Byte) - hinzugefügt von abraXxl vor 3 Jahren.
Vorschalg für Patch der rc.mod
rc.mod.external-on-NAND-v1.patch (606 Byte) - hinzugefügt von abraXxl vor 3 Jahren.
Neue Version des Patches. Es geht tatsächlich ohne Schleife.
rc.mod.external-on-NAND-v2.patch (659 Byte) - hinzugefügt von abraXxl vor 3 Jahren.
rc.mod.external-on-NAND-v3.patch (950 Byte) - hinzugefügt von abraXxl vor 3 Jahren.
rc.mod.external-on-NAND-v4.patch (1.1 KB) - hinzugefügt von abraXxl vor 3 Jahren.
The version without the use of stat. Comments welcome.

Alle Anhänge herunterladen als: .zip

Änderungshistorie (52)

comment:1 Geändert vor 3 Jahren durch oliver

  • Product Id auf 7390 gesetzt
  • Zusammenfassung von Mount Hook für nand Speicher (7390) nach Mount/External Hook für NAND Speicher (7390) geändert

comment:2 Geändert vor 3 Jahren durch cuma

Ich glaub mittlerweile, dass es besser ist external dort zu starten, wo die Partition gemountet wird. Wie wäre es dieses AVM-Startskript umzubenennen und durch einen Wrapper zu ersetzen? Dann muss man nicht patchen. Zuerst wird das eigentliche Skipt ausgeführt, dann Dinge wie autorun und external. Evtl auch nur ein Aufruf zu freetzmount (das aber nicht mountet). Das ganze nur falls das Skript vorhanden ist.
Alles nur theoretisch, da ich mir den Code nicht angeschaut hab

comment:3 Geändert vor 3 Jahren durch oliver

AVM-Startskript? In der 04.90 gibts nur ein "mount /var/dev/nand ${mountpoint}" in der rc.S.

comment:4 Geändert vor 3 Jahren durch cuma

Hm, war das dann in der Labor? Oder betraf dies nur den Swap im NAND?
Falls nicht, könnte man auch in der rc.S den Aufruf hinzufügen (ob jetzt external direkt oder freetzmount incluse autorun.sh usw)

Zuletzt geändert vor 3 Jahren von cuma (vorher) (Diff)

Geändert vor 3 Jahren durch abraXxl

Vorschalg für Patch der rc.mod

comment:5 Geändert vor 3 Jahren durch oliver

Dein Patch ändert das Verhalten so ab, dass rc.external start aus rc.mod gestartet wird (immer). Bisher wurde da nur rc.external (load) aufgerufen. Funktioniert es nicht auch, wenn du external in der for-Schleife lässt und das rc.external start in die CONFIG_NAND Bedingung ziehst? Das würde das Verhalten der anderen Boxen nicht beieinflussen.

count=$(($count -1 1)) Geht das mit let nicht auch lesbar?

comment:6 Geändert vor 3 Jahren durch cuma

Ich finde dass man Warteschleifen wenn möglich vermeiden sollte. Ist es nicht so dass das nand immer vor rc.mod gemountet ist? Dann könnte man rc.external mit "&" direkt aufrufen. Vorher noch eine Abfrage ob [ "$CONFIG_NAND" = 'y' ] und der realpath vom MOD_EXTERNAL_DIRECTORY auf dem nand liegt. Weshalb hast du das "rc.external load" geändert? Ich seh dazu keinen Grund

Dies ist wohl ncith so gedacht (7270):

 echo "$(realpath "/var/$(echo internalflash.mountpoint | usbcfgctl -s | tr -d '" ')")" 
/var/media/ftp

 echo internalflash.mountpoint | usbcfgctl -s
"Interner Speicher"

fehlerhaft:

count=$(($count -1 1))
-sh: arithmetic syntax error

lesbarer

let count++

Geändert vor 3 Jahren durch abraXxl

Neue Version des Patches. Es geht tatsächlich ohne Schleife.

comment:7 Geändert vor 3 Jahren durch oliver

@cuma
Auf der 7270 zeigt das auf den mountpoint dieses 4MB ext2 Images aus /etc. Auf der 7390 jedoch auf das nand und nicht nur /var/media/ftp.

comment:8 Geändert vor 3 Jahren durch oliver

In [7252]:

  • rc.mod: Add external hook for nand flash on 7390 (by abraxxl)
    • Perhaps we can find a cleaner solution after next AVM firmware update
    • refs #1373, #1396

comment:9 Geändert vor 3 Jahren durch ramik

I have an international 7390, with the international English firmware and with Freetz trunk 7245.

When I tried to do with dropbear the echo stuff, i saw that it is making mistakes:

root@fritz:/var/mod/root# echo internalflash.mountpoint | usbcfgctl -s
"Internal memory"

root@fritz:/var/mod/root# echo "$(realpath "/var/$(echo internalflash.mountpoint | usbcfg
ctl -s | tr -d '" ')")"
realpath: /var/Internalmemory: No such file or directory

but under the /var, it is available as InternerSpeicher

root@fritz:/var# ls -l
lrwxrwxrwx    1 root     root            14 Jan  1  2000 InternerSpeicher -> /var/media/ftp

I did not make a build from the trunk with your patch, but from what I see, it will not work. any ideas?

comment:10 Geändert vor 3 Jahren durch oliver

Couldn't you mention this 60 minutes earlier? ;-)

About what firmware version are you talking?

edit: Ah, I see:

INTERNAL_NAME=`echo internalflash.mountpoint | usbcfgctl -s | tr -d '"'`
## neu: Interner Speicher ersetzt /var/media/ftp - der rest (unter /var/media/ftp) wird also innerhalb abgelegt.
## mountpoint="/var/media/ftp/$INTERNAL_NAME"
mountpoint="/var/media/ftp"
Zuletzt geändert vor 3 Jahren von oliver (vorher) (Diff)

comment:11 Geändert vor 3 Jahren durch abraXxl

@ramik: does this work on your box to get the NAND mount point? I assume that rc.S firstly mount NAND to /var/media/ftp and the it bind mounts it to /data/tam.

awk '/\/var\/dev\/nand/ {print $2; exit}' /proc/mounts

comment:12 Geändert vor 3 Jahren durch ramik

@oliver: sorry, i didn't know about this thread until i saw in the timeline a mention about the change :(

I have the firmware 84.04.88

@abraXxl: here is the output:

# awk '/\/var\/dev\/nand/ {print $2; exit}' /proc/mounts
/var/media/ftp

inside the ftp directory, the nand storage is called FRITZ, does it matter?

in my rc.S, i found this piece of code:

if mount -t yaffs2 /var/dev/nand "${mountpoint}" ; then
chmod 775 "${mountpoint}"
echo "[yaffs] Internal Memory assigned @ ${mountpoint}" ;
rm -f /var/InternerSpeicher
ln -s "${mountpoint}" /var/InternerSpeicher
else

even having an international firmware, it creates the symbolic link as InternerSpeicher

comment:13 Geändert vor 3 Jahren durch abraXxl

@ramik: Yes, the snippet from rc.S creates the symlink as "InternerSpeicher". I expected the name for this link the should be the same as "/var/$(echo internalflash.mountpoint | usbcfgctl -s | tr -d '" ')" .

A new patch against r7274 is attached working for me under the assumptions from comment:11. Comments welcome.

Geändert vor 3 Jahren durch abraXxl

comment:14 Geändert vor 3 Jahren durch ramik

@abraXxl:

So from what I understand now is that the nand storage is mounted as /var/media/ftp, while an external usb drive gets mounted as /var/media/ftp/uStor01 (or uStor11, etc), right?

I thought that nand is mounted /var/media/ftp/FRITZ/, and that's why I put my external files there (/var/media/ftp/FRITZ/external), this means I can put them directly in /var/media/ftp/external?

Doesn't this cause confusion? in both cases, the MOD_EXTERNAL_DIR it will always be inside the /var/media/ftp. Does the patch work in this mode? the in checks the whole string or part of it?

Tonight I will create a build with the latest patch and test it.

comment:15 Geändert vor 3 Jahren durch abraXxl

@ramik: AFAIK the NAND always is mounted on /var/media/ftp.

Geändert vor 3 Jahren durch abraXxl

comment:16 Geändert vor 3 Jahren durch abraXxl

A new version of this patch is attached (rc.mod.external-on-NAND-v3.patch).

It avoids rc.external to be called twice if external directory is on a USB storage device, as this is also mounted under /var/media/ftp.

The patch requires CONFIG_STAT=y and CONFIG_FEATURE_STAT_FORMAT=y in busybox.

comment:17 Geändert vor 3 Jahren durch abraXxl

Without stat:

if [ "$(df /var/media/ftp | awk '/^\// {print $1}')" = "$(df "$MOD_EXTERNAL_DIRECTORY"/.external | awk '/^\// {print $1}')" ]; then

Geändert vor 3 Jahren durch abraXxl

The version without the use of stat. Comments welcome.

comment:18 Geändert vor 3 Jahren durch oliver

  • Beobachter ralf hinzugefügt

@Ralf
Was hälst du von den verschiedenen Optionen (v3 und v4)? Ich bin nicht sicher welche Version zu bevorzugen ist.

Oder wir machen das Rückgängig und nehmen es für die 05.05 Firmware nochmal in Angriff? Hier hat AVM den nand mount in eine eigene Datei verschoben.

comment:19 Geändert vor 3 Jahren durch oliver

In [7320]:

  • Revert r7252 (external mount hook for nand flash)
    • Didn't work as expected and loaded external things twice if used from USB stick
    • refs #1373

comment:20 Antwort: Geändert vor 3 Jahren durch ralf

Der Patch oben testet zweimal auf die Datei .external, was vermutlich unnötig ist, und es fehlt ein fi.

Hier ein angepasster Patch, mangels Box nicht getestet. Wichtig ist das Leerzeichen hinten in "/var/media/ftp ", da getestet werden soll, ob der Mount-Punkt genau dieses Verzeichnis ist und nicht ein Unterverzeichnis davon.

  • make/mod/files/root/etc/init.d/rc.mod

     
    6767 
    6868       touch /tmp/.modstarted 
    6969 
     70       # 7390: external hook for nand flash, if NAND exists it is mounted under /var/media/ftp 
     71       if [ "$CONFIG_NAND" = 'y' -a -f "$MOD_EXTERNAL_DIRECTORY"/.external && 
     72                       df -P "$MOD_EXTERNAL_DIRECTORY" | tail -n1 | grep -q "/var/media/ftp "; then 
     73               /etc/init.d/rc.external start 
     74       fi 
     75 
    7076       /usr/lib/mod/menu-update 
    7177} 
    7278 

comment:21 Geändert vor 3 Jahren durch oliver

In [7400]:

  • rc.mod: Second try to add an external mount hook for 7390 NAND (by Ralf Friedl)
    • needs a busybox patch (df -P should output only one line)
    • refs #1373

comment:22 Geändert vor 3 Jahren durch oliver

  • Beobachter ralf gelöscht
  • Lösung auf fixed gesetzt
  • Status von new nach closed geändert

Bitte wieder eröffnen, falls noch Probleme damit auftreten.

comment:23 Geändert vor 3 Jahren durch oliver

In [7442]:

[freetz-stable-1.2]: Merge in r7400:7401, r7407:7409, r7415:7417, r7420:7422, r7425, r7429:7432, r7434, r7435, r7437 from trunk (refs #1396):

————————————————————————————————————

r7400 | oliver | 2011-07-24 11:52:20 +0200 (So, 24. Jul 2011) | 3 Zeilen

  • rc.mod: Second try to add an external mount hook for 7390 NAND (by Ralf Friedl)
    • needs a busybox patch (df -P should output only one line)
    • refs #1373

r7401 | oliver | 2011-07-24 12:27:32 +0200 (So, 24. Jul 2011) | 1 Zeile

  • rc.mod: Fix character encoding

r7407 | cuma | 2011-07-24 17:19:18 +0200 (So, 24. Jul 2011) | 6 Zeilen
opendd:

  • added to external-services
  • fix interaction with onlinechanged

(refs #1409)


r7408 | cuma | 2011-07-24 17:23:19 +0200 (So, 24. Jul 2011) | 1 Zeile
added onlinechanged to shown logfiles


r7409 | cuma | 2011-07-24 17:26:59 +0200 (So, 24. Jul 2011) | 1 Zeile
logfiles: colorization of "inetd"


r7415 | cuma | 2011-07-24 22:55:04 +0200 (So, 24. Jul 2011) | 1 Zeile
remove tr069: fix modsed (refs #1427)


r7416 | cuma | 2011-07-25 23:30:29 +0200 (Mo, 25. Jul 2011) | 1 Zeile
openntpd's reload: dont start ntpd if not running (refs #1428)


r7417 | cuma | 2011-07-26 10:04:15 +0200 (Di, 26. Jul 2011) | 1 Zeile
fix r7416 (refs #1428)


r7420 | oliver | 2011-07-28 19:50:56 +0200 (Do, 28. Jul 2011) | 1 Zeile

  • 7112 Alien patch: Remove more usb files (by abraxxl)

r7421 | oliver | 2011-07-28 19:52:56 +0200 (Do, 28. Jul 2011) | 1 Zeile

  • Rename some config symbols (by dileks)

r7422 | oliver | 2011-07-28 19:54:59 +0200 (Do, 28. Jul 2011) | 1 Zeile

  • Config.in: Select more remove patches for 7112 Alien (by abraxxl)

r7425 | er13 | 2011-07-28 21:13:02 +0200 (Do, 28. Jul 2011) | 3 Zeilen
gettext:

  • fix uninstall rule

r7429 | oliver | 2011-07-30 11:11:30 +0200 (Sa, 30. Jul 2011) | 2 Zeilen

  • push_firmware: Fix typo in Alice function

r7430 | cuma | 2011-07-30 18:30:21 +0200 (Sa, 30. Jul 2011) | 1 Zeile
dropbear: take care of ROOTONLY


r7431 | cuma | 2011-07-30 18:33:44 +0200 (Sa, 30. Jul 2011) | 1 Zeile
modlibrc: hide errormessage if no process is running (inetd-mode)


r7432 | cuma | 2011-07-31 14:25:23 +0200 (So, 31. Jul 2011) | 1 Zeile
dropbear: hide errormessage if no process is running (revert r7431)


r7434 | oliver | 2011-07-31 16:50:35 +0200 (So, 31. Jul 2011) | 3 Zeilen

  • 7113: Bump international version to 90.04.84
    • Update patches
    • refs #1396

r7435 | oliver | 2011-07-31 17:03:56 +0200 (So, 31. Jul 2011) | 4 Zeilen

  • Makfile: Add .NOTPARALLEL flag
    • Freetz has it's own setting for the number of jobs
    • The user shouldn't be able to mess up the build with "make -j x"
    • refs #1396

r7437 | oliver | 2011-07-31 22:03:23 +0200 (So, 31. Jul 2011) | 2 Zeilen

  • fwmod: Create onlinechanged directory instead of file (fixes #1430)

comment:24 als Antwort auf: ↑ 20 Geändert vor 3 Jahren durch capt_bluebaer

  • Lösung fixed gelöscht
  • Status von closed nach reopened geändert

Replying to ralf:

Wichtig ist das Leerzeichen hinten in "/var/media/ftp ", da getestet werden soll, ob der Mount-Punkt genau dieses Verzeichnis ist und nicht ein Unterverzeichnis davon.

rc.external wird bei mir damit nicht ausgeführt, da df den Mountpoint mit einem LF abschließt und kein Leerzeichen folgen lässt. Richtig funktioniert es bei mir, wenn man das Leerzeichen durch ein Dollar-Zeichen ersetzt: "/var/media/ftp$", damit ist die Bedingung bei nand wahr und bei usb-mounts unwahr.

comment:25 Geändert vor 3 Jahren durch make

Auf einer 7390 mit external-Verzeichnis auf dem internen NAND, wahlweise /var/InternerSpeicher/external oder /var/media/ftp/external, wird rc.external nicht ausgeführt. Vielleicht könnte man das wenigstens auf den beiden Seiten, in denen das external-Verzeichnis spezifiziert wird ("Freetz – external-Datei Update" und "Freetz – Einstellungen") übergangsweise angeben. Ich habe relativ lange gebraucht, bis ich hinter das Problem gekommen bin.

comment:26 Antwort: Geändert vor 3 Jahren durch oliver

Könntest du bitte untersuchen warum r7400 für dich nicht funktioniert?

comment:27 als Antwort auf: ↑ 26 Geändert vor 3 Jahren durch ralf

Replying to oliver:

Vermutlich weil die Busybox nicht aktualisiert wurde und daher die Option -P nicht das tut, was sie soll.

comment:28 Geändert vor 3 Jahren durch cuma

@Ralf: Wo meinst du, beim Make oder im Freetz-svn?

comment:29 Geändert vor 3 Jahren durch oliver

Beim make busybox-precompiled

comment:30 Antwort: Geändert vor 3 Jahren durch oliver

  • Lösung auf fixed gesetzt
  • Status von reopened nach closed geändert
  • Verantwortlicher auf oliver gesetzt

In [7598]:

  • external: Fix detection of external directory on nand (by capt_bluebaer)

comment:31 als Antwort auf: ↑ 30 ; Antwort: Geändert vor 3 Jahren durch ralf

Replying to oliver:

Bist Du sicher, dass die Änderung zusammen mit r7400 korrekt ist?

comment:32 Geändert vor 3 Jahren durch cuma

"910-df_output_only_one_line.patch"? Hatte mounted.cgi nicht auch Probleme mit Zeilenumbrüchen und hat da irgendeinen Workaround eingebaut?

comment:33 als Antwort auf: ↑ 31 ; Antwort: Geändert vor 3 Jahren durch oliver

Replying to ralf:
So wie in r7400 hat es auf meiner 7390 auf alle Fälle nicht funktioniert. Mit der Änderung von capt_bluebaer dagegen schon.

In mounted.cgi ist so ein sed. Kann das jetzt weg?

DFOUT=$("$DEBUG_PATH"df -h | sed -n '1d; :a; $!N; $!ba; s/\n  */ /g;p')

comment:34 als Antwort auf: ↑ 33 ; Antwort: Geändert vor 3 Jahren durch ralf

Replying to oliver:
Wie sieht denn dann genau die Ausgabe aus von

df /var/media/ftp
df -P /var/media/ftp

comment:35 Geändert vor 3 Jahren durch cuma

Weiss nicht wie man das sed ändern kann, ich kann's nicht lesen :)

POSIX Ausgabe funktioniert jedenfalls:

BusyBox v1.18.5 (2011-08-31 15:09:43 CEST) built-in shell (ash)

df /var/media/autofs/external
nfs:/home/freetz/7141/external
                     18014398501093376         0 18014398501093376   0% /var/media/autofs/external

df -P /var/media/autofs/external
nfs:/home/freetz/7141/external 18014398501093376         0 18014398501093376   0% /var/media/autofs/external

Nur dass meine HDD kein 16EB gross ist! Das passt wohl noch irgendwas nicht.

comment:36 Antwort: Geändert vor 3 Jahren durch ralf

Dann ist klar, warum es vorher nicht lief.

Zu dem Aufruf von sed, so ganz sicher bin ich mir nicht, wie er funktioniert, aber es wird die erste Zeile entfernt und bei den anderen Zeilen der Zeilenumbruch entfernt, falls es sich um Forsetzungszeilen handelt. Letzteres braucht man mit -P nicht mehr, und das Entfernen geht einfacher mit tail:

DFOUT=$("$DEBUG_PATH"df -P -h | tail -n +2

comment:37 als Antwort auf: ↑ 34 Geändert vor 3 Jahren durch oliver

Replying to ralf:

root@fritz:/var/mod/root# df /var/media/ftp | hexdump -C
00000000  46 69 6c 65 73 79 73 74  65 6d 20 20 20 20 20 20  |Filesystem      |
00000010  20 20 20 20 20 31 4b 2d  62 6c 6f 63 6b 73 20 20  |     1K-blocks  |
00000020  20 20 20 20 55 73 65 64  20 41 76 61 69 6c 61 62  |    Used Availab|
00000030  6c 65 20 55 73 65 25 20  4d 6f 75 6e 74 65 64 20  |le Use% Mounted |
00000040  6f 6e 0a 2f 76 61 72 2f  64 65 76 2f 6e 61 6e 64  |on./var/dev/nand|
00000050  20 20 20 20 20 20 20 20  20 20 20 35 32 34 32 38  |           52428|
00000060  38 20 20 20 20 20 20 31  36 39 32 20 20 20 20 35  |8      1692    5|
00000070  32 32 35 39 36 20 20 20  30 25 20 2f 76 61 72 2f  |22596   0% /var/|
00000080  6d 65 64 69 61 2f 66 74  70 0a                    |media/ftp.|
0000008a
root@fritz:/var/mod/root# df -P /var/media/ftp | hexdump -C
00000000  46 69 6c 65 73 79 73 74  65 6d 20 20 20 20 20 20  |Filesystem      |
00000010  20 20 20 20 20 31 30 32  34 2d 62 6c 6f 63 6b 73  |     1024-blocks|
00000020  20 20 20 20 55 73 65 64  20 41 76 61 69 6c 61 62  |    Used Availab|
00000030  6c 65 20 43 61 70 61 63  69 74 79 20 4d 6f 75 6e  |le Capacity Moun|
00000040  74 65 64 20 6f 6e 0a 2f  76 61 72 2f 64 65 76 2f  |ted on./var/dev/|
00000050  6e 61 6e 64 20 20 20 20  20 20 20 20 20 20 20 35  |nand           5|
00000060  32 34 32 38 38 20 20 20  20 20 20 31 36 39 32 20  |24288      1692 |
00000070  20 20 20 35 32 32 35 39  36 20 20 20 30 25 20 2f  |   522596   0% /|
00000080  76 61 72 2f 6d 65 64 69  61 2f 66 74 70 0a        |var/media/ftp.|
0000008e
root@fritz:/var/mod/root#

comment:38 als Antwort auf: ↑ 36 Geändert vor 3 Jahren durch oliver

Replying to ralf:

… geht einfacher mit tail:

Schau doch mal bitte in mounted.cgi und ändere die seds entsprechend ab.

comment:39 Antwort: Geändert vor 3 Jahren durch oliver

@Ralf
Hast du meine Beiträge gesehen?

comment:40 Geändert vor 3 Jahren durch cuma

r7598 sollte nach dem Hexdump funktionieren. Gibt df -P "$MOD_EXTERNAL_DIRECTORY" wirklich mehrere Zeilen aus, so dass das tail -n1 nötig ist?
mounted.cgi ist übrigens erledigt in r7618

comment:41 Geändert vor 3 Jahren durch oliver

df -P gibt doch trotzdem den Header aus?

comment:42 Geändert vor 3 Jahren durch cuma

Schon, aber grep -q "/var/media/ftp$" filtert den doch heraus. Dabei fällt mir ein dass evtl eine Leertaste vor /var/media/ftp noch sicherer wäre

comment:43 als Antwort auf: ↑ 39 Geändert vor 3 Jahren durch ralf

Replying to oliver:

Hast du meine Beiträge gesehen?

Nein, hatte ich nicht.

Genau, r7598 entfernt das sed komplett und somit auch die Funktion, dass der Header entfernt wird. Wie oben geschrieben, kann man mit tail -n +2 die erste Zeile entfernen.

@cuma
Bei mounted.cgi geht es nicht mehr um den NAND-Speicher. Aber das Leerzeichen wäre tatsächlich noch sicherer.

comment:44 Geändert vor 3 Jahren durch oliver

In [7629]:

[freetz-stable-1.2]: Merge in r7452, r7470, r7522:7523, r7526, r7580, r7596, r7598, r7600, r7602:7603 from trunk (refs #1396):


r7452 | cuma | 2011-08-05 18:06:26 +0200 (Fr, 05. Aug 2011) | 3 Zeilen
replace-dtrace patch added:

  • execute a custom action by phone
  • thx hippie2000 for help

r7470 | oliver | 2011-08-12 10:24:44 +0200 (Fr, 12. Aug 2011) | 1 Zeile

  • replace dtrace: Update menuconfig help (by dileks)

r7522 | cuma | 2011-08-24 23:02:23 +0200 (Mi, 24. Aug 2011) | 2 Zeilen
customisation "tagging" added (refs #1470)
moved favicon-files to /graphics too


r7523 | cuma | 2011-08-25 01:30:31 +0200 (Do, 25. Aug 2011) | 1 Zeile
fix typo in r7522, thx schlimmchen (refs #1470)


r7526 | cuma | 2011-08-25 15:04:26 +0200 (Do, 25. Aug 2011) | 1 Zeile
tagging: use only one picture for both versions (refs #1470)


r7580 | cuma | 2011-09-05 23:45:57 +0200 (Mo, 05. Sep 2011) | 3 Zeilen
tagging:

  • add support for very old firmware, like 7050's
  • by buehmann, refs #1470

r7596 | oliver | 2011-09-11 19:44:58 +0200 (So, 11. Sep 2011) | 1 Zeile

  • squashfs: Allow blocksizes > 64 KB only for 2.6.13.1 and 2.6.19.2

r7598 | oliver | 2011-09-11 20:34:56 +0200 (So, 11. Sep 2011) | 2 Zeilen

  • external: Fix detection of external directory on nand (by capt_bluebaer)

r7600 | oliver | 2011-09-11 21:56:31 +0200 (So, 11. Sep 2011) | 2 Zeilen

  • usbroot: Replace AVM e2fsck with Freetz version (AVM version misses timestamp patch, r4806)

r7602 | cuma | 2011-09-12 13:13:13 +0200 (Mo, 12. Sep 2011) | 3 Zeilen
samba:

  • fix path & names of logfiles (by make)

closes #1496


r7603 | oliver | 2011-09-13 19:32:23 +0200 (Di, 13. Sep 2011) | 3 Zeilen

  • Fix W701V 7170 Alien patch (by dileks)

comment:45 Geändert vor 3 Jahren durch oliver

In [7630]:

[freetz-stable-1.2]: Merge in r7452, r7470, r7522:7523, r7526, r7580, r7596, r7598, r7600, r7602:7603 from trunk (refs #1396):


r7452 | cuma | 2011-08-05 18:06:26 +0200 (Fr, 05. Aug 2011) | 3 Zeilen
replace-dtrace patch added:

  • execute a custom action by phone
  • thx hippie2000 for help

r7470 | oliver | 2011-08-12 10:24:44 +0200 (Fr, 12. Aug 2011) | 1 Zeile

  • replace dtrace: Update menuconfig help (by dileks)

r7522 | cuma | 2011-08-24 23:02:23 +0200 (Mi, 24. Aug 2011) | 2 Zeilen
customisation "tagging" added (refs #1470)
moved favicon-files to /graphics too


r7523 | cuma | 2011-08-25 01:30:31 +0200 (Do, 25. Aug 2011) | 1 Zeile
fix typo in r7522, thx schlimmchen (refs #1470)


r7526 | cuma | 2011-08-25 15:04:26 +0200 (Do, 25. Aug 2011) | 1 Zeile
tagging: use only one picture for both versions (refs #1470)


r7580 | cuma | 2011-09-05 23:45:57 +0200 (Mo, 05. Sep 2011) | 3 Zeilen
tagging:

  • add support for very old firmware, like 7050's
  • by buehmann, refs #1470

r7596 | oliver | 2011-09-11 19:44:58 +0200 (So, 11. Sep 2011) | 1 Zeile

  • squashfs: Allow blocksizes > 64 KB only for 2.6.13.1 and 2.6.19.2

r7598 | oliver | 2011-09-11 20:34:56 +0200 (So, 11. Sep 2011) | 2 Zeilen

  • external: Fix detection of external directory on nand (by capt_bluebaer)

r7600 | oliver | 2011-09-11 21:56:31 +0200 (So, 11. Sep 2011) | 2 Zeilen

  • usbroot: Replace AVM e2fsck with Freetz version (AVM version misses timestamp patch, r4806)

r7602 | cuma | 2011-09-12 13:13:13 +0200 (Mo, 12. Sep 2011) | 3 Zeilen
samba:

  • fix path & names of logfiles (by make)

closes #1496


r7603 | oliver | 2011-09-13 19:32:23 +0200 (Di, 13. Sep 2011) | 3 Zeilen

  • Fix W701V 7170 Alien patch (by dileks)

comment:46 Geändert vor 3 Jahren durch oliver

In [7667]:

rc.mod: Add space to pattern for external 7390 on nand (refs #1373)

comment:47 Geändert vor 3 Jahren durch oliver

In [7888]:

[freetz-stable-1.2]: Merge in r7667:7669, r7677, r7681:7684, r7688, r7690, r7696, r7699, r7729, r7737, r7740:7741, r7750, r7753:7754, r7761, r7764, r7771, r7805, r7821, r7838, r7873 from trunk (refs #1396):


r7667 | oliver | 2011-09-24 14:26:22 +0200 (Sa, 24. Sep 2011) | 1 Zeile
rc.mod: Add space to pattern for external 7390 on nand (refs #1373)


r7668 | kriegaex | 2011-09-24 15:39:05 +0200 (Sa, 24. Sep 2011) | 7 Zeilen
New feature (upon request of olistudent): enable script to detect big as well
as little endian boot loaders and SquashFS images (kernel always has same
magic sequence, no changes there).

TODO: more thorough testing and removal of redundant code (copy & paste).
But I am in a hurry just now…


r7669 | kriegaex | 2011-09-24 23:16:46 +0200 (Sa, 24. Sep 2011) | 4 Zeilen
Refactoring:

  • add more info to usage message
  • move redundant code to parametrised helper functions

r7677 | oliver | 2011-09-26 22:21:37 +0200 (Mo, 26. Sep 2011) | 1 Zeile

  • busybox: Define download target only if version of busybox tools and busybox differs (refs #1520)

r7681 | er13 | 2011-09-26 23:43:09 +0200 (Mo, 26. Sep 2011) | 5 Zeilen
clean up download rules:

  • remove ifneq's that are always true (variables they compare are defined in files included later)
  • add missing ifneq's
  • refs r7677, r7679

r7682 | kriegaex | 2011-09-28 11:58:40 +0200 (Mi, 28. Sep 2011) | 2 Zeilen
Add another hex2dec function which can calculate big endian SquashFS lengths


r7683 | kriegaex | 2011-09-28 15:58:39 +0200 (Mi, 28. Sep 2011) | 9 Zeilen
Improved and refactored tools/extract-images:

  • Implausible boot loader candidates are now deleted silently, no longer kept and logged.
  • Hidden root plausibility heuristic now uses (more strictly) real kernel padding size of 256 bytes, no longer 1024.
  • Hidden root images are shorter now because SquashFS padding of 4096 bytes is no longer considered (only relevant on target system)
  • More comments and more explicit variable name 'file_length'

r7684 | kriegaex | 2011-09-28 16:02:35 +0200 (Mi, 28. Sep 2011) | 2 Zeilen
Cosmetics


r7688 | cuma | 2011-09-29 04:06:50 +0200 (Do, 29. Sep 2011) | 1 Zeile
enable FREETZ_REMOVE_UMTSD for 7270_V1


r7690 | cuma | 2011-09-29 20:07:03 +0200 (Do, 29. Sep 2011) | 1 Zeile
ctlmgr-wrapper: fix binary name in rc.dsl.sh (used during shutdown)


r7696 | buehmann | 2011-10-01 11:48:43 +0200 (Sa, 01. Okt 2011) | 2 Zeilen
callmonitor: Migration to SourceForge (BerliOS will be closed soon)


r7699 | cuma | 2011-10-01 13:06:58 +0200 (Sa, 01. Okt 2011) | 1 Zeile
callmonitor: shortcut for sourceforge url, thx dileks (refs r7696)


r7729 | cuma | 2011-10-04 01:46:36 +0200 (Di, 04. Okt 2011) | 1 Zeile
REMOVE_TR069: remove obsolete warning, thx spm_Draget (see http://freetz.org/browser/trunk/patches/260-remove_tr069.sh#L24 )


r7737 | oliver | 2011-10-06 07:32:14 +0200 (Do, 06. Okt 2011) | 1 Zeile
uClibc: Add missing strverscmp export for 0.9.31 (refs #1520, #1396)


r7740 | oliver | 2011-10-07 00:41:09 +0200 (Fr, 07. Okt 2011) | 2 Zeilen

  • kernel: Fix hanging swapon fat partition with 2.6.28 (7320, 7390)

r7741 | cuma | 2011-10-07 03:50:49 +0200 (Fr, 07. Okt 2011) | 1 Zeile
ctlmgt-wrapper: don't rename the binary, move it to another directory like before r6733 (revert r7690, refs #61)


r7750 | cuma | 2011-10-08 10:39:00 +0200 (Sa, 08. Okt 2011) | 1 Zeile
freetzmount: Don't log nicenames for every partition. If mounting was sucessfully it will be logged anyway


r7753 | oliver | 2011-10-08 18:04:55 +0200 (Sa, 08. Okt 2011) | 2 Zeilen

  • openvpn: Add page to show connected clients (by MaxMuster)

r7754 | cuma | 2011-10-08 18:21:30 +0200 (Sa, 08. Okt 2011) | 1 Zeile
openvpn's connected clients: small typos (refs #1551)


r7761 | cuma | 2011-10-09 05:47:09 +0200 (So, 09. Okt 2011) | 1 Zeile
nfsd-cgi: select replace kernel for 7270v1 (http://www.ip-phone-forum.de/showthread.php?t=240246)


r7764 | oliver | 2011-10-09 14:25:43 +0200 (So, 09. Okt 2011) | 1 Zeile

  • lzma2eva: Fix link failure with ubuntu 11.10 and other distros

r7771 | oliver | 2011-10-11 23:27:09 +0200 (Di, 11. Okt 2011) | 3 Zeilen

  • php: Fix static build with openssl plugin
    • steal ZEND_EXTRA_LIBS flag (unused)
    • reported by molfi

r7805 | kriegaex | 2011-10-16 14:25:28 +0200 (So, 16. Okt 2011) | 3 Zeilen
Bump Fakeroot to 1.18.1 due to non-availability of previous download
version 1.17. Closes #1563.


r7821 | cuma | 2011-10-17 16:40:34 +0200 (Mo, 17. Okt 2011) | 6 Zeilen
busybox's blkid (refs #1520)

  • readded a part of in r7733 deleted 915-blkid_support_fstype.patch
  • blkid does not show all partitions anymore if a specific could not be found
  • no additional parsing by freetzmount is needed

thx olistudent


r7838 | cuma | 2011-10-18 14:03:22 +0200 (Di, 18. Okt 2011) | 1 Zeile
freetzmount: use blkid for fuse-filesystems like ntfs (closes #661)


r7873 | oliver | 2011-10-20 07:12:18 +0200 (Do, 20. Okt 2011) | 2 Zeilen


Hinweis: Hilfe zur Verwendung von Tickets finden Sie in TracTickets.